<template>
  <div class="ticket page">
    <div class="page-wrapper">
      <img :src="this.$logoimg" width="110"/>
      <div class="space-md"/>
      <h1 class="font-size-title" v-text="user.userName + ', 欢迎您!'"></h1>
      <div class="space-sm"/>
      <div v-if="user.orders.length > 0"><p class="font-size-subheading">以下是您的预约详情：</p></div>
      <div v-if="user.orders.length <= 0" class="walking-block">
        <p class="font-size-subheading">欢迎光临轩尼诗互动体验展</p>
      </div>
      <div class="space-md" v-if="user.orders.length > 0"></div>
      <div class="tickets-wrapper" v-if="user.orders.length > 0">
        <div class="tickets">
          <table>
            <tbody>
              <tr class="ticket" v-for="ticket in user.orders">
                <td>
                  <span class="font-size-subheading" v-text="getNameByType(ticket.type)"></span>
                  <!--span class="font-size-subheading" >{{ticket.name}}</span-->
                </td>
                <td>
                  <span class="font-size-subheading">日期： {{ticket.date}}</span>
                </td>
                <td>
                  <span class="font-size-subheading">时间： {{ticket.time}}</span>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
      <div class="space-md" />
      <div class="tnc">
        <table>
          <tr>
            <td valign="middle">
              <!--input type="checkbox" v-model="isChecked"/-->
              <div class="checkbox-wrapper">
                <div @click="toggleCheckbox" :style="{'background-image':'url('+img_checkbox+')'}" class="custom-checkbox" :class="{active: isChecked == true}"></div>
              </div>
            </td>
            <td valign="middle">
              <div class="font-size-body">我同意活动的<a @click="showModal('zh')">条款与细则</a></div>
            </td>
          </tr>
        </table>
      </div>
      <div class="space-sm" />
      <router-link :class="{disabled: isChecked == false}" to="success" class="btn-confirm-enter btn-brand">确认</router-link>
    </div>

    <!-- zh tnc -->
    <modal
      v-show="isShowingModal && activeModal == 'zh'"
      :id="'tnc_zh'"
      :name="'解码轩尼诗－互动体验展'"
      @close="closeModal"
    />
    <!-- en tnc -->
    <modal
      v-show="isShowingModal && activeModal == 'en'"
      :id="'tnc_en'"
      :name="'Hennessy Declassified - Hong Kong'"
      @close="closeModal"
    />
    
  </div>
</template>

<script>
import modal from '../modal.vue';

export default {
  name: 'Ticket',
  components: {
    modal,
  },
  data () {
    return {
      img_checkbox: require("../../assets/ui-checkbox.png"),
      isChecked: false,
      isShowingModal: false,
      activeModal: '',
      user: this.$config.user,
    }
  },
  methods: {
    toggleCheckbox(){
      if(this.isChecked == true){
        this.isChecked = false
      }else{
        this.isChecked = true
      }
    },
    getNameByType(type) {
      var products = this.$config.products;
      var product = products.filter(product => product.type == type)[0];
      return product.zhname;
    },
    showModal(lang) {
      this.isShowingModal = true;
      this.activeModal = lang;
    },
    closeModal() {
      this.isShowingModal = false;
      this.activeModal = null;
    }
  }
}
</script>

<style lang="sass">
@import "../../styles/ticket.sass"
</style>
